Figure - Bug #117295
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT3O O Monkeyd Monkeyd 0 120 O O O O CRASH: com.android.music] 30
2023-04-03 10:03 - CD TEST-0 0 [

D(X102)

C103(x

Status: CLOSED Start date: 2023-04-03

Priority: Normal Due date: 2023-04-10

Assignee: CDTEST-UDOO % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: - Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C10
Resolution: FIXED Degrated: -

Severity: Critical Verified Version: FlatBuild_ HH_MCE_FSE.M.R.user.01.00.0095
Reproducibility: Occasionally Fixed Version: 2023-04-26

Test Type: ST Root cause: AOSPO O

Description

oooood

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt
gooooa

// CRASH: com.android.music (pid 7964)
// Short Msg: android.app.ForegroundServiceDidNotStartinTimeException

// Long Msg: android.app.ForegroundServiceDidNotStartInTimeException: Context.startForegroundService() did not then call

Service.startForeground(): ServiceRecord{laeedaa u0 com.android.music/.MediaPlaybackService}

// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/2693:user/test-keys
// Build Changelist: 2693

// Build Time: 1680283477000

// android.app.ForegroundServiceDidNotStartinTimeException: Context.startForegroundService() did not then call Service.startForeground():
ServiceRecord{laeedaa u0 com.android.music/.MediaPlaybackService}
at android.app.ActivityThread.throwRemoteServiceException(ActivityThread.java:1924)
at android.app.Activity Thread.access$2700(Activity Thread.java:248)

at android.app.Activity Thread$H.handleMessage(Activity Thread.java:2149)

at android.os.Handler.dispatchMessage(Handler.java:106)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at android.app.Activity Thread.main(ActivityThread.java:7880)

at java.lang.reflect. Method.invoke(Native Method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)

History

#1 - 2023-04-03 10:03-CD TEST-O0 O O
- File error.txt added

2025-07-04
#2 - 2023-04-04 10:18 - CD APP-0O O

- Due date set to 2023-04-10

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-O O to CD APP-O O

#3 - 2023-04-08 16:47 - CDTS-TEST O O

- Severity changed from Normal to Critical

#4 - 2023-04-10 11:24 - CD APP-O0 O
- % Done changed from 0 to 50

= Current conclusion

good

m My analysis

0000000000 startForegroundServicel 050 0 O O O O startForeground0 O O OO0 O O O O returnC 0 0O O
OO0 OstartForeground0 D 0 00000000000 OOOO

m Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/192624

#5 - 2023-04-10 19:07 - 0T scm

Gerrit Merge Informationd

1D Project Branch Uploader
192624 general/platform/packages/apps/Snapd | Pre_figure_turbox-c2130c-lal.1-gssi12 | hong.wang_a@thundersoft.com
ragonMusic -dev

AF:SnapdragonMusic:fixed monkey bugl.Fix startForeground not being called within five seconds after call Context.startForegroundService() TC-RID:
1201-0301201Issuel D: TS-R-BUG-117295Change-Id: 1096bfd41835e0027017063b938674a0522657d3a

#6 - 2023-04-10 19:08 - CD APP-0 O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-0J 0 to CD TEST-0 O O
- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-11

- Root cause set to AOSPLO O

#7 - 2023-04-12 10:05- CD TEST-0O0 O O

411

l1ggoool00ooooooooon

#8 - 2023-04-1310:13-CD TEST-O0 O O

413
rOODBOOOOOOOOOOOO
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/192624

#9 - 2023-04-14 09:51 - CD TEST-O O O
- Status changed from RESOLVED to VERIFIED
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0091.C103(X103)

4.14
009100000
0000OBug

#10 - 2023-04-14 09:51-CD TEST-O0 O O
- Status changed from VERIFIED to CLOSED

#11 - 2023-04-2510:15-CD TEST-0 O O

- File error(5).txt added

- Status changed from CLOSED to New

- Assignee changed from CD TEST-O O O to CD APP-0 O

425
0ooooo
FlatBuild_HH_MCE_FSE.M.R.user.01.00.0093.C103

oooOoooooooon
7240000

gooo
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_117295

#12 - 2023-04-25 18:14 - CD APP-0 O

m Current conclusion

ooo

m My analysis

O stopSelf() O O stopService(),0 monkey 0 0 0 0000
m Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/192624

#13 - 2023-04-25 22:31 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
196217 general/platform/packages/apps/Snapd | Pre_figure_turbox-c2130c-lal.1-gssi12 | hong.wang_a@thundersoft.com
ragonMusic -dev

AF:SnapdragonMusic:Fixed monkey crashTC-RID: 0301-0301201IssuelD: TS-R-BUG-117295Change-Id: 1368bc47ee564c820d1a2a6412917¢c4a5494d50c2

#14 - 2023-04-26 10:45 - CD APP-0 O
- Status changed from New to RESOLVED

2025-07-04
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117295
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/192624

- Assignee changed from CD APP-0J O to CD TEST-0O O O

#15 - 2023-04-26 10:45 - CD APP-00 O

- Fixed Version changed from 2023-04-11 to 2023-04-26

#16 - 2023-04-27 13:58 - CD TEST-0 O O
4.27

o0DBOOODOOOODOOOODODOO

#17 - 2023-04-28 17:30 - CD TEST-O O O
- Status changed from RESOLVED to VERIFIED

- Verified Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0091.C103(X103) to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28
2ibBOOOOOOCODODOODOO

#18 - 2023-05-0510:18 - CD TEST-O O O
- Status changed from VERIFIED to CLOSED

55
0095000970 0 O DO O
ooo

Files

tlog_sts40x190078_000024_0402195719.tar.gz
error.txt

error(5).txt

2025-07-04

41.8 MB
50.8 KB
840 KB

2023-04-03
2023-04-03
2023-04-25

CDTEST-0 00O
CDTEST-0 00O
CDTEST-0 00O
